#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerdraw.h"

main(int argc, char *argv[])
{
   PD_TTFont *font;
   int w, h;

   /* Initialize the library */
   PP_Init();
   PD_Init();

   /* Initialize 640x480x16bpp graphics mode */
   PD_SetGFXMode(640, 480, 16, PD_DEFAULT);

   PD_ClearSurface(DoubleBuffer, PD_CreateColor(Screen, 0xFF, 0xFF, 0xFF));

   /* Get the font */
   font = PD_TTFontInit("krylon.ttf", 41);

   w = PD_GetTTFTextWidth(font, "Hello World");
   h = PD_GetTTFontHeight(font);

   PD_DrawTTFontText(DoubleBuffer, font, "Hello World", 320-(w/2), 200-(h/2), PD_CreateColor(DoubleBuffer, 0x00, 0x00, 0x00));
   PD_DrawTTFontTextSmooth(DoubleBuffer, font, "Hello World", 320-(w/2), 280-(h/2), PD_CreateColor(DoubleBuffer, 0x00, 0x00, 0x00), PD_CreateColor(DoubleBuffer, 0xFF, 0xFF, 0xFF));

   PD_ShowDoubleBuffer();

   PP_Wait(5000);

   /* Cleanup */
   PD_Quit();
   PP_Quit();
}

